RiskUsageStatus (3.14.0 600 API)
Date: 2025-11-24

com.marketfactory.messaging

## Class RiskUsageStatus

- java.lang.Object
- - com.marketfactory.messaging.RiskUsageStatus

- All Implemented Interfaces:
    IMessage, java.io.Serializable, java.lang.Comparable<RiskUsageStatus>

      public final class RiskUsageStatus
      extends java.lang.Object
      implements IMessage, java.lang.Comparable<RiskUsageStatus>, java.io.Serializable

  Status of supplied user state.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `feedID` A unique identifier for the feed.
    `int` | `marketID` A market ID, which identifies a unique financial instrument.
    `java.lang.String` | `reason`
    `long` | `settlDate`
    `RiskStatus` | `status`
    `java.lang.String` | `user`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `RiskUsageStatus()`
    `protected` | `RiskUsageStatus(ProtoByteBuffer buffer)`
    `` | `RiskUsageStatus(java.lang.String user, long settlDate, int feedID, int marketID, RiskStatus status, java.lang.String reason)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(RiskUsageStatus rhs)`
    `void` | `deserialize(ProtoByteBuffer buffer)`
    `protected void` | `dump(TextWriter wr)`
    `boolean` | `equals(java.lang.Object rhs)`
    `int` | `getMsgType()`
    `int` | `hashCode()`
    `void` | `serialize(ProtoByteBuffer buffer)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### user

          public java.lang.String user

    - #### settlDate

          public long settlDate

    - #### feedID

          public int feedID

      A unique identifier for the feed.

    - #### marketID

          public int marketID

      A market ID, which identifies a unique financial instrument.

    - #### status

          public RiskStatus status

    - #### reason

          public java.lang.String reason

  - ### Constructor Detail

    - #### RiskUsageStatus

          public RiskUsageStatus()

    - #### RiskUsageStatus

          protected RiskUsageStatus(ProtoByteBuffer buffer)

    - #### RiskUsageStatus

          public RiskUsageStatus(java.lang.String user,
                                 long settlDate,
                                 int feedID,
                                 int marketID,
                                 RiskStatus status,
                                 java.lang.String reason)

  - ### Method Detail

    - #### getMsgType

          public int getMsgType()

      Specified by:
        `getMsgType` in interface `IMessage`

    - #### equals

          public boolean equals(java.lang.Object rhs)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(RiskUsageStatus rhs)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<RiskUsageStatus>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### deserialize

          public void deserialize(ProtoByteBuffer buffer)

      Specified by:
        `deserialize` in interface `IMessage`

    - #### serialize

          public void serialize(ProtoByteBuffer buffer)

      Specified by:
        `serialize` in interface `IMessage`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IMessage`
      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          protected void dump(TextWriter wr)